List workspace signer terms
curl --request GET \
--url https://api.firma.dev/functions/v1/signing-request-api/workspace/{workspace_id}/signer-terms \
--header 'Authorization: <api-key>'import requests
url = "https://api.firma.dev/functions/v1/signing-request-api/workspace/{workspace_id}/signer-terms"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.firma.dev/functions/v1/signing-request-api/workspace/{workspace_id}/signer-terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"terms": [
{
"statement_text": "<string>",
"terms_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Unauthorized",
"message": "Invalid API key"
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource"
}{
"error": "Not Found",
"message": "The requested resource was not found"
}{
"error": "Rate Limit Exceeded",
"message": "Too many requests. Please wait before retrying.",
"details": {
"retry_after": 45
}
}Signer Terms
List workspace signer terms
Retrieve all custom signer terms for a workspace
GET
/
workspace
/
{workspace_id}
/
signer-terms
List workspace signer terms
Authorizations
API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.
Path Parameters
Workspace ID
Response
Workspace signer terms retrieved successfully
List of signer terms by language
Show child attributes
Show child attributes
Was this page helpful?
⌘I